Skip to content

GitHub Developer Info

This API provides fetches detailed developer profiles from GitHub. It returns bio, repository counts, follower stats, account creation dates & more.

POST /api/v1/github-info

The following parameters are accepted in the request body:

FieldTypeRequiredDescription
usernamestringYesThe GitHub username target.
Terminal window
curl -X POST https://heavstal.com.ng/api/v1/github-info \
-H "Content-Type: application/json" \
-H "x-api-key: <YOUR_API_KEY>" \
-d '{"username": "torvalds"}'
{
"status": "success",
"code": 200,
"creator": "HEAVSTAL TECH",
"data": {
"username": "torvalds",
"name": "Linus Torvalds",
"bio": "Linux creator",
"followers": 195000,
"public_repos": 7,
"avatar_url": "https://avatars.githubusercontent.com/u/1024025?v=4",
"created_at": "2011-09-03T15:26:22Z"
}
}